scala.mobile
class Code

[source: `scala/mobile/Code.scala`]

`` `class` Code(clazz : Class)
  `extends` AnyRef

  The class `Code` provides `apply` methods with different arities (actually up to 9 parameters) to invoke a function simply by specifying its name and argument types.

  Example:

          val url = new URL("http://scala-lang.org/classes/examples.jar");
          val obj = new Location(url) create "examples.sort";
          val ar = Array(6, 2, 8, 5, 1);
          obj[Array[Int], Unit]("println")(ar);
          obj[Array[Int], Unit]("sort")(ar);
          obj[Array[Int], Unit]("println")(ar);

See Also
  Location
Author
  Stephane Micheloud
Version
  1.0, 04/05/2004

Method Summary
`def` | apply [A0, R](funName : String) : (A0) => R
`def` | apply [A0, A1, A2, A3, A4, A5, A6, A7, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6, A7) => R
`def` | apply [A0, A1, A2, A3, R](funName : String) : (A0, A1, A2, A3) => R
`def` | apply [R](funName : String) : () => R
`def` | apply [A0, A1, A2, A3, A4, R](funName : String) : (A0, A1, A2, A3, A4) => R
`def` | apply [A0, A1, A2, R](funName : String) : (A0, A1, A2) => R
`def` | apply [A0, A1, A2, A3, A4, A5, A6, A7, A8, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6, A7, A8) => R
`def` | apply [A0, A1, A2, A3, A4, A5, R](funName : String) : (A0, A1, A2, A3, A4, A5) => R
`def` | apply [A0, A1, A2, A3, A4, A5, A6, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6) => R
`def` | apply [A0, A1, R](funName : String) : (A0, A1) => R

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` apply[R](funName : String) : () => R

`` `def` apply[A0, R](funName : String) : (A0) => R

`` `def` apply[A0, A1, R](funName : String) : (A0, A1) => R

`` `def` apply[A0, A1, A2, R](funName : String) : (A0, A1, A2) => R

`` `def` apply[A0, A1, A2, A3, R](funName : String) : (A0, A1, A2, A3) => R

`` `def` apply[A0, A1, A2, A3, A4, R](funName : String) : (A0, A1, A2, A3, A4) => R

`` `def` apply[A0, A1, A2, A3, A4, A5, R](funName : String) : (A0, A1, A2, A3, A4, A5) => R

`` `def` apply[A0, A1, A2, A3, A4, A5, A6, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6) => R

`` `def` apply[A0, A1, A2, A3, A4, A5, A6, A7, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6, A7) => R

`` `def` apply[A0, A1, A2, A3, A4, A5, A6, A7, A8, R](funName : String) : (A0, A1, A2, A3, A4, A5, A6, A7, A8) => R